> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Subclass

> Retrieves the details of a single subclass.



## OpenAPI

````yaml get /subclasses/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /subclasses/{public_id}:
    get:
      tags:
        - subclasses
      description: Retrieves the details of a single subclass.
      operationId: subclasses_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subclass'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Subclass:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        category:
          $ref: '#/components/schemas/SubclassCategoryEnum'
        name:
          type: string
        employer:
          type: string
        is_default:
          type: boolean
      required:
        - category
        - id
        - name
        - employer
    SubclassCategoryEnum:
      enum:
        - department
        - division
        - class
      type: string
      description: |-
        * `department` - department
        * `division` - division
        * `class` - class
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````